FLTK 1.4.4

Loading...
Searching...
No Matches
wayland.H File Reference

Definitions of functions specific to the Wayland platform. More...

Go to the source code of this file.

## Typedefs
typedef struct _cairo | cairo_t
typedef void * | EGLContext

## Functions
int | fl_wl_buffer_scale (Fl_Window *window)
| Returns the current buffer scaling factor for `window`.
struct wl_compositor * | fl_wl_compositor ()
| Returns the wl_compositor of the current Wayland session.
struct wl_display * | fl_wl_display ()
| Returns the Wayland display in use.
Fl_Window * | fl_wl_find (struct wld_window *)
| Returns the Fl_Window corresponding to a given the platform-specific window reference.
cairo_t * | fl_wl_gc ()
| Returns the cairo context associated to the current window or Fl_Image_Surface.
EGLContext | fl_wl_glcontext (GLContext rc)
| Returns the EGLContext corresponding to the given GLContext.
struct wl_surface * | fl_wl_surface (struct wld_window *xid)
| Returns the wl_surface associated to a shown window.
struct wld_window * | fl_wl_xid (const Fl_Window *win)
| Returns a platform-specific reference associated to a shown window.

## Detailed Description

Definitions of functions specific to the Wayland platform.

## Function Documentation

## ◆ fl_wl_compositor()

struct wl_compositor * fl_wl_compositor | ( |  | ) |
| extern

Returns the wl_compositor of the current Wayland session.

This allows, for example, to create a wl_surface with

struct wl_surface *my_wl_surface = wl_compositor_create_surface(fl_wl_compositor());
fl_wl_compositor
struct wl_compositor * fl_wl_compositor()
Returns the wl_compositor of the current Wayland session.